#!/bin/sh
############### COMPILE #############################
compile()
{
echo "Enter path to QT3 :"
read QTDIR
if test -e  $QTDIR/lib/libqt-mt.so.3; then
PATH=$QTDIR/bin:$PATH
LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export QTDIR PATH LD_LIBRARY_PATH
$QTDIR/bin/qmake -makefile -unix "LIBS +=-lm $QTDIR/lib/libqt-mt.so.3" qgfe.pro
echo "Compilation (takes a while)..."
make
make clean
echo "Compilation done..."
else
echo "Error : libqt-mt.so.3 not found"
exit 0
fi
}
##################################################
################# INSTALL ##########################
install()
{
echo "Installation ..."
mkdir -p $HOME/qgfe
mkdir -p $HOME/qgfe/icons
mkdir -p $HOME/qgfe/icons/16x16
mkdir -p $HOME/qgfe/icons/32x32
mkdir -p $HOME/qgfe/icons/48x48
cp -v AUTHORS $HOME/qgfe/AUTHORS
cp -v COPYING $HOME/qgfe/COPYING
cp -v qgfe.desktop $HOME/qgfe/qgfe.desktop
cp -v qgfe16x16.png $HOME/qgfe/icons/16x16/qgfe.png
cp -v qgfe32x32.png $HOME/qgfe/icons/32x32/qgfe.png
cp -v qgfe48x48.png $HOME/qgfe/icons/48x48/qgfe.png
cp -v qgfe $HOME/qgfe/qgfe
chmod a+rx $HOME/qgfe/
chmod a+r $HOME/qgfe/icons
chmod a+r $HOME/qgfe/icons/16x16
chmod a+r $HOME/qgfe/icons/32x32
chmod a+r $HOME/qgfe/icons/48x48
chmod a+rx $HOME/qgfe/qgfe
chmod a+r $HOME/qgfe/AUTHORS
chmod a+r $HOME/qgfe/COPYING
chmod a+r $HOME/qgfe/qgfe.desktop
chmod a+r $HOME/qgfe/icons/16x16/qgfe.png
chmod a+r $HOME/qgfe/icons/32x32/qgfe.png
chmod a+r $HOME/qgfe/icons/48x48/qgfe.png
echo "Qgfe is now installed in the $HOME/qgfe directory."
}
####################################################
echo "Qgfe compilation and installation :"
echo "----------------------------------------"
echo "Type 'go' to compile and install the program."
echo "Type 'q' to quit."
read query
if [ "$query" = go ]
then
   compile
   install
fi
exit 0

